
Figure - Bug #116314
【BSP】【EVT3】【ST】【Eth0】A样机与中控连接后，无法ping通
2023-02-16 18:59 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-02-16

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version: VC1_FSE_0078_20230228

Need_Info: -- Found Version: 0068

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

None

【测试步骤】

1. 设备正常开机与中控正常连接

高禾中控的eth0.100 与我方设备端  vlan0    ping， 

需要在中控端使用命令      ip rule add from all lookup main pref 9000，才能相互ping通。

中控端测试命令：ping -I eth0.100 192.168.0.16

我方设备端测试命令：ping -I vlan0 192.168.0.4

【预期结果】

3 可以ping通

【实际结果】

3 无法ping通

执行：echo 1 >  /sys/devices/virtual/mdio_bus/pci-0001:01:00.0/pci-0001:01:00.0:00/phyinit 后可以ping通

History

#1 - 2023-02-17 09:50 - CD TPM-王祥林

- Target version set to VC1_FSE_0078_20230228

#2 - 2023-02-17 15:35 - CD BSP-杜磊

- Status changed from New to ASSIGNED

- % Done changed from 0 to 40

调查分析如下：

此A样，MCU无法与MPU进行串口通信，导致MPU无法接受到MCU发出的以太网link信号，从而导致ip获取失败。

通过手动方式进行重新link后，中控－副屏，　副屏－中控，均可以双向ping同。

由此可以排除以太网硬件故障，且是由MCU导致此问题。

为了规避此异常情况，排除MCU异常导致以太网无法工作，修改如下：

https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/180367
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/180367


#3 - 2023-02-20 17:57 - CD BSP-杜磊

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-杜磊 to 移动测试一组_CDTS 刘强

- % Done changed from 40 to 100

代码已入库，使用2/18后的版本验证

Gerrit Merge Information：

ID Project Branch Uploader

180367 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

dulei0503@thundersoft.com

BSP:Ethernet: Fix ethernet linkup error when rebootFix ethernet linkup error when reboot orno mcu message receivedTC-RID: 0301-0400601IssueID:

TS-R-DF-115367Change-Id: I7832e0f154c814ff16f545ee4d50e7bf10b8ac7e

#4 - 2023-02-23 15:27 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0076.X101

验证结果：

VC1 A样 V01 烧机后第一次启动可以ping通，adb reboot后可以ping通，断电重启后-可以ping通

VC1 C样 V03 烧机后第一次启动可以ping通，adb reboot后可以ping通，断电重启后-可以ping通

VX1 A样 V01 烧机后第一次启动可以ping通，adb reboot后可以ping通，断电重启后-可以ping通

VX1 C样 V03 烧机后第一次启动可以ping通，adb reboot后可以ping通，断电重启后-可以ping通

备注

由user改TSNV后会导致个别设备reboot后 ping失败，因此和RD沟通后，验证时不修改NV，仅从中控ping测试设备即可，修改TSNV后，测试第一次adb

root后可以ping通

中控端测试命令：ping -I eth0.100 192.168.0.16

#5 - 2023-02-23 15:27 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
